Bug 730638 - Review Request: perl-Business-CreditCard - Validate/generate credit card check-sums/names
Summary: Review Request: perl-Business-CreditCard - Validate/generate credit card chec...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-15 07:53 UTC by Petr Pisar
Modified: 2011-08-28 05:28 UTC (History)
3 users (show)

Fixed In Version: perl-Business-CreditCard-0.31-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-28 05:28:55 UTC
psabata: fedora-review+


Attachments (Terms of Use)

Description Petr Pisar 2011-08-15 07:53:30 UTC
Spec URL: http://ppisar.fedorapeople.org/perl-Business-CreditCard/perl-Business-CreditCard.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-Business-CreditCard/perl-Business-CreditCard-0.31-1.fc15.src.rpm
Description:
These subroutines tell you whether a credit card number is self-consistent
-- whether the last digit of the number is a valid check-sum for the
preceding digits.


This is re-review of deprecated packaged I want to vivify (https://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers#Claiming_Ownership_of_a_Deprecated_Package).

Comment 1 Petr Šabata 2011-08-15 08:44:27 UTC
Package: perl-Business-CreditCard
Version: 0.31
Release: 1.fc15
Sources: Business-CreditCard-0.31.tar.gz
Patches: 
----------
Package successfully built locally.
Package successfully built in mock, fedora-rawhide-x86_64.
Package successfully built in mock, fedora-rawhide-i386.
Package successfully built in koji, dist-rawhide.

MUST items:
[  OK  ] Package does NOT include pre-built binaries or libraries
[  OK  ] Spec file is legible and written in American english
[  OK  ] Package successfully builds on at least one supported primary architecture
[  --  ] All ExcludeArch tags valid, referencing proper bug reports
[  OK  ] Package obeys FHS (with _libexecdir and /srv exceptions)
[  OK  ] No errors reported by rpmlint
[  OK  ] Changelog present and properly formatted
[  OK  ] Package does NOT include Packager, Vendor, Copyright or PreReq tags
[  OK  ] Source tags are working URLs and sources match upstream or justified otherwise
[  OK  ] Requires correct or justified otherwise
[  OK  ] BuildRequires correct or justified otherwise
[  OK  ] All file names are in proper UTF-8 encoding
[  OK  ] All plain text failes are in proper UTF-8 encoding
[  --  ] Large documentation files are located in doc subpackage
[  OK  ] All documentation prefixed with %doc
[  OK  ] Documentation is NOT executable
[  OK  ] No files in %doc are needed at run-time
[  --  ] Compiler flags honor Fedora defaults or are justified
[  --  ] Package generates useful debuginfo packages
[  --  ] Header files are placed in devel subpackage
[  --  ] Unversioned shared libraries are placed in devel subpackage
[  --  ] Pkgconfig files are placed in devel subpackage
[  --  ] Full-versioned Requires of the base package in subpackages
[  --  ] Package calls ldconfig in post and postun sections for all subpackages, if applicable
[  --  ] Static libraries are provided by static subpackage
[  OK  ] Package contains no static executables unless approved by FESCo
[  OK  ] Package does NOT bundle any system libraries
[  --  ] RPath not used for anything besides internal libraries
[  --  ] All config files are marked noreplace or justified otherwise
[  OK  ] No config files are located under /usr
[  --  ] Package contains working systemd unit files and requires systemd-units
[  --  ] All systemd unit files are named according to the Guidelines
[  --  ] Package contains a SystemV-compatible initscript only as an optional addition to systemd unit files
[  --  ] If package contains an initscript, it's placed in sysvinit subpackage
[  --  ] A GUI application installs a proper desktop file
[  --  ] All desktop files are installed by desktop-file-install or justified otherwise
[  OK  ] Package consistently uses macros
[  --  ] makeinstall macro is used only if make install DESTDIR=%{buildroot} does NOT work
[  --  ] Macros in Summary and description are expandable at build-time
[  --  ] globals used in place of defines
[  --  ] Locales handled correctly -- package requires gettext and uses find_lang, if applicable
[  --  ] Scriptlets are sane
[  OK  ] Package is not relocatable unless justified
[  OK  ] Package contains only acceptable code or content
[  OK  ] Package owns all the files and directories it creates, installs and/or uses unless those are already owned by another package
[  OK  ] files sections do NOT contain duplicate files except for licenses
[  OK  ] Package does NOT cause any conflicts
[  OK  ] Package does NOT contain kernel modules
[  OK  ] Package does NOT bundle fonts or other general purpose data
[  OK  ] Final Requires and Provides are sane

SHOULD items:
[  OK  ] The Summary does NOT end with a period
[  OK  ] Package does NOT include BuildRoot tag, clean section or buildroot removal in install section
[  OK  ] Package should preserve files timestamps
[  OK  ] Package does NOT explicitly BuildRequire bash, bzip2, coreutils, cpio, diffutils, fedora-release, findutils, gawk, gcc, gcc-c++, grep, gzip, info, make, patch, redhat-rpm-config, rpm-build, sed, shadow-utils, tar, unzip, util-linux-ng, which or xz
[  OK  ] Description does NOT consist of lines longer than 80 characters
[  OK  ] Package uses parallel make
[  --  ] In case of a web application, package installs date into /usr/share instead of /var/www
[  --  ] All patches have a comment or an upstream bug link
[  --  ] Package installs manpages for all executables
[  OK  ] Package contains check section and all tests pass
[  ??  ] Package works as expected

NOTES:
------
Everything seems fine, approving.

Comment 2 Petr Pisar 2011-08-16 13:15:33 UTC
Package Change Request
======================
Package Name: perl-Business-CreditCard
New Branches: 
Owners: ppisar mmaslano psabata
InitialCC: perl-sig

Please assign ownership of this package in rawhide to ppisar to un-deprecate it.

Comment 3 Gwyn Ciesla 2011-08-16 13:46:26 UTC
Unorphaned in pkgdb, please take ownership there.

Comment 4 Petr Pisar 2011-08-16 14:49:58 UTC
Package Change Request
======================
Package Name: perl-Business-CreditCard
New Branches: f16
Owners: ppisar mmaslano psabata
InitialCC: perl-sig

I found git branch for `f16' is missing (http://pkgs.fedoraproject.org/gitweb/?p=perl-Business-CreditCard.git;a=heads) despite there is a record in package database (https://admin.fedoraproject.org/pkgdb/acls/name/perl-Business-CreditCard). I'm not sure if I can or cannot push new f16 branch to server. I think could not set ACLs. So please create this one repository too.

Comment 5 Gwyn Ciesla 2011-08-16 14:54:25 UTC
f16 exists.

Comment 6 Petr Pisar 2011-08-16 15:23:16 UTC
(In reply to comment #5)
> f16 exists.

I cannot see it. "git ls-remote git://pkgs.fedoraproject.org/perl-Business-CreditCard" does not list it.

Comment 7 Gwyn Ciesla 2011-08-16 16:05:17 UTC
Odd, pkgdb had it.  I've attempted to create the branch from that, let me
know if you don't see it now.

Comment 8 Petr Pisar 2011-08-16 16:49:12 UTC
Thank you for review and repositories. Version 0.31 is built for f16 and f17 now.

Comment 9 Fedora Update System 2011-08-16 16:50:22 UTC
perl-Business-CreditCard-0.31-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Business-CreditCard-0.31-1.fc16

Comment 10 Fedora Update System 2011-08-16 20:08:01 UTC
Package perl-Business-CreditCard-0.31-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Business-CreditCard-0.31-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/perl-Business-CreditCard-0.31-1.fc16
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2011-08-28 05:28:50 UTC
perl-Business-CreditCard-0.31-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.